package Logoved::DB::Rule::Resolver::Plugin::Sourcedep;

use strict;
use warnings;

use Text::ParseWords;
use Logoved::DB::Rule::Resolver;
use RPM::Source::Dependency::Analyzer::Sourcedep::Resolver 0.002;
&Logoved::DB::Rule::Resolver::register_plugin('sourcedep-resolve' => \&plugin_sourcedep,);

our $verbose=0;

sub plugin_sourcedep {
    my ($cmd,$argstring)=@_;
    unless ($argstring) {
	# TODO: pass a rule and die here
	warn 'Resolver: ', $cmd, ": no arguments\n";
	return 0;
    }
    my @argv=shellwords($argstring);
    return &RPM::Source::Dependency::Analyzer::Sourcedep::Resolver::resolve_sourcedep('sourcedep-resolve',@argv);
}

1;
