package Logoved::DB::Rule;

use Moo;
#use strict;
#use warnings;
has 'type' => (is => 'ro');
has 'scope' => (is => 'ro');
has 'fix' => (is => 'ro');
has 'resolver' => (is => 'rw');
has 'fix_if_resolved' => (is => 'rw');
has 'use_first_match' => (is => 'ro');
has 'force_status' => (is => 'ro');
has 'statistics' => (is => 'ro');
has 'statistics_header' => (is => 'ro');
has 'description' => (is => 'ro');
# for messages
has 'name' => (is => 'ro');
# for link report
has 'subpath' => (is => 'ro');

has 'pattern' => (is => 'ro',);
has 'pattern_seq' => (is => 'ro',);
has 'multiline_pattern_begin' => (is => 'ro');
has 'multiline_pattern_body' => (is => 'ro');
has 'multiline_pattern_end' => (is => 'ro');

sub rulefile {
    return $_[0]->subpath.'.logoved';
}

sub is_warning_type {
    my $type=$_[0]->type;
    return 1 if $type and $type eq 'warning';
    return 0;
}

1;
